<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);
include '../system.php';
$set['title'] = 'Профессиоальная защита для вашего сайта '.$systems_bleik['title'].'';
include_once '../../sys/inc/thead.php';
title();
err();
aut();
?>
<link rel="stylesheet" href="../style.css" type="text/css" />
<?

echo "<div class='foot'>Начинаем заливать таблицы в базу данных ".$systems_bleik['title']."</b></div>\n";
	$error = '';
	@set_magic_quotes_runtime(0);
// Читаем SQL файл и заносим его в базу данных
	$query = fread(fopen('bleik.sql', 'r'), filesize('bleik.sql'));
	$pieces = split_sql($query);
	for ($i = 0; $i < count($pieces); $i++)
	{
				$pieces[$i] = trim($pieces[$i]);
				if (!empty($pieces[$i]) && $pieces[$i] != "#")
				{
							if (!mysql_query($pieces[$i]))
							{
										$error = $error . mysql_error() . '<br />';
							}
				}
	}
	if (empty($error))
	{
				echo '<span class="green">OK</span> - Данные установлены<br /><a href="../index.php">Перейти на сайт</a><br />';
	}
	else
	{
				// Если были ошибки, выводим их
				echo $error;
				echo '<br /><span class="red">Что то не то,попробуем еще раз.</span><a href="i.php">Попробовать</a><br />';
	}
	function split_sql($sql)
	{
				$sql = trim($sql);
				$sql = ereg_replace("\n#[^\n]*\n", "\n", $sql);
				$buffer = array();
				$ret = array();
				$in_string = false;
				for ($i = 0; $i < strlen($sql) - 1; $i++)
				{
							if ($sql[$i] == ";" && !$in_string)
							{
										$ret[] = substr($sql, 0, $i);
										$sql = substr($sql, $i + 1);
										$i = 0;
							}
							if ($in_string && ($sql[$i] == $in_string) && $buffer[1] != "\\")
							{
										$in_string = false;
							} elseif (!$in_string && ($sql[$i] == '"' || $sql[$i] == "'") && (!isset($buffer[0]) || $buffer[0] !=
							"\\"))
							{
										$in_string = $sql[$i];
							}
							if (isset($buffer[1]))
							{
										$buffer[0] = $buffer[1];
							}
							$buffer[1] = $sql[$i];
				}
				if (!empty($sql))
				{
							$ret[] = $sql;
				}
				return ($ret);
	}

linbSAleik();
include_once '../../sys/inc/tfoot.php';
?>